Subject: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Dmitry Gutov <[email-masked]>
Date: Tue, 31 Jan 2023 01:29:52 +0200

On 30/01/2023 23:49, Stefan Monnier wrote:
>> Also note that previously, I'd never have suggested that redisplay code
>>   changes the value of font-lock-dont-widen.
> It would be ugly for redisplay code to mess with font-lock data like
> `font-lock-dont-widen`.  Instead, it should let-bind its own variable to
> indicate that the long-lines code has currently installed a narrowing,
> and `font-lock.el` can decide whether to pay attention to that var.

That does sound better, but either way, the net effect would (probably) 
be that by default font-lock obeys the added narrowing, but can escape 
it for special purposes with no trouble.